get
https://api-pro.sim.hashkeydev.com/api/v1/exchangeInfo
Retrieve current exchange trading rules and symbol information
NoteYou may now retrieve ExchangeInfo by a specific symbol
See trading pair information on Web: Link
Weight: 1
Types of trading restrictions
| Types | Description |
|---|---|
| PRICE_FILTER | Price limit |
| LOT_SIZE | Limit on the number of transactions |
| MIN_NOTIONAL | Minimum nominal limit |
| TRADE_AMOUNT | Transaction limit |
| LIMIT_TRADING | Limit trading rules |
| MARKET_TRADING | Market trading rules |
| OPEN_QUOTE | Opening Restrictions |
Trading pair status
| Status | Description |
|---|---|
| TRADING | Continuous trading |
| HALT | Trading suspended |
| BREAK | Interruption in trading |
Request Parameters
| PARAMETER | TYPE | Req 'd | DESCRIPTION |
|---|---|---|---|
| symbol | STRING | Symbol Name. e.g: "BTCUSD", "ETHUSDC" |
Response Content
| PARAMETER | TYPE | Example values | DESCRIPTION |
|---|---|---|---|
| timezone | STRING | UTC | Time zone |
| serverTime | INTEGER | 1690084771517 | Server Millisecond Timestamp |
| symbols | Object Array | Currency pair description | |
| symbols.exchangeId | STRING | 301 | Exchange ID |
| symbols.symbol | STRING | BTCUSD | Currency pair |
| symbols.status | ENUM | TRADING | Trading pair status |
| symbols.baseAsset | STRING | BTC | Base Asset |
| symbols.baseAssetName | STRING | BTC | Name of base asset |
| symbols.baseAssetPrecision | STRING | 0.00001 | Precision of base asset |
| symbols.quoteAsset | STRING | USD | Quoted Asset |
| symbols.quoteAssetName | STRING | USD | Name of quoted asset |
| symbols.quotePrecision | STRING | 0.00000001 | Precision of quoted asset |
| symbols.retailAllowed | BOOLEAN | false | Whether retail client is allowed |
| symbols.piAllowed | BOOLEAN | false | Whether PI client is allowed |
| symbols.corporateAllowed | BOOLEAN | false | Whether Corporate client is allowed |
| symbols.omnibusAllowed | BOOLEAN | true | Whether Omnibus client is allowed |
| symbols.icebergAllowed | STRING | FALSE | Currently not in use |
| filters | Object Array | List of trading pair restrictions | |
| filters.filterType | STRING | PRICE_FILTER | Trading restriction type refer to appendix "Trading restriction type" |
| filters.minPrice | STRING | 0.01 | Depreciated, no longer in-use |
| filters.maxPrice | STRING | 100000.00000000 | Depreciated, no longer in-use |
| filters.tickSize | STRING | 0.01 | Minimum price change, only for PRICE_FILTER types |
| filters.minQty | STRING | 0.0003 | Minimum number of transactions, only for LOT_SIZE types 最小交易量 |
| filters.maxQty | STRING | 4 | Maximum number of transactions, only for LOT_SIZE types 最大交易量 |
| filters.stepSize | STRING | 0.00001 | Minimal change in quantity, only used for LOT_SIZE types |
| filters.marketOrderMinQty | STRING | 1 | Minimum no. of coin for base Asset allowed for for Market Order |
| filters.marketOrderMaxQty | STRING | 10000 | Maximum no. of coin for base Asset allowed Market Orders |
| filters.filterType | STRING | LOT_SIZE | Trading restriction type |
| filters.minNotional | STRING | 10 | Minimum notional turnover, only for MIN_NOTIONAL types |
| filters.minAmount | STRING | 10 | Minimum turnover, only for TRADE_AMOUNT types |
| filters.maxAmount | STRING | 100000 | Maximum turnover, only for TRADE_AMOUNT types |
| filters.minBuyPrice | STRING | 6000 | Minimum purchase price, only for TRADE_AMOUNT types |
| filters.maxSellPrice | STRING | 150000 | Limit maximum sell price, only for LIMIT_TRADING types 最大卖出价格 |
| filters.marketOrderMinAmount | STRING | 10 | Minimum cash notional required for Market order 市价单最小下单金额 |
| filters.marketOrderMaxAmount | STRING | 200000 | Maximum cash notional allowed for Market order 市价单最大下单金额 |
| filters.filterType | STRING | TRADE_AMOUNT | Trading restriction type |
| filters.buyPriceUpRate "filterType": "LIMIT_TRADING" | STRING | 0.2 | Limit Buy cannot be higher than the mark price, only for LIMIT_TRADING types 买入不能高于标记价格的 |
| filters.sellPriceDownRate "filterType": "LIMIT_TRADING" | STRING | 0.2 | Limit Sell cannot be lower than the mark price, only for LIMIT_TRADING type 卖出不能低于标记价格的 |
| filters.buyPriceUpRate "filterType": "MARKET_TRADING" | STRING | 0.2 | Market buy cannot be higher than the mark price, only for MARKET_TRADING types 买入不能高于标记价格的 |
| filters.sellPriceDownRate"filterType": "MARKET_TRADING" | STRING | 0.2 | Market sell cannot be lower than the mark price, only for MARKET_TRADING types 卖出不能低于标记价格的 |
| filters.noAllowMarketStartTime | STRING | 1668483032058 | Market order start time is not allowed, only for OPEN_QUOTE types |
| filters.noAllowMarketEndTime | STRING | 1668483032058 | Market order end time is not allowed, only for OPEN_QUOTE types |
| filters.limitOrderStartTime | STRING | 1668483032058 | Time limit order start time, only for OPEN_QUOTE types |
| filters.limitOrderEndTime | STRING | 1668483032058 | Time limit order end time, only for OPEN_QUOTE types |
| filters.limitMinPrice | STRING | 0.1 | Lowest price for a limited time limit order, only for OPEN_QUOTE types |
| filters.limitMaxPrice | STRING | 1000 | Limit order maximum price, only for OPEN_QUOTE types |
| coins | Object Array | 6002 | Coin description |
| coins.orgId | STRING (integer) | 6002 | Institution ID |
| coins.coinId | STRING | BTC | Coin ID |
| coins.coinName | STRING | BTC | Coin name |
| coins.coinFullName | STRING | Bitcoin | Coin full name |
| coins.iconUrl | STRING | Icon URL | |
| coins.allowWithdraw | BOOLEAN | true | Whether to allow withdrawal |
| coins.allowDeposit | BOOLEAN | true | Whether to allow deposit |
| coins.tokenType | STRING | CHAIN_TOKEN | CHAIN_TOKEN |
| coins.minPrecision | INTEGER | 0 | |
| coins.depositWithdrawAmtPrecision | INTEGER | 8 | Deposit/Withdraw precision |
| coins.showPrecision | INTEGER | 8 | Precision for web page |
| coins.status | INTEGER | 1 | Coin status |
| chainTypes | Object Array | Chain information list | |
| chainTypes.chainType | STRING | BTC | Chain Type |
| chainTypes.withdrawFee | STRING | 0 | Withdrawal fee |
| chainTypes.minWithdrawQuantity | STRING | 0.0001 | Minimum withdrawal amount |
| chainTypes.maxWIthdrawQuantity | STRING | 100 | Maximum withdrawal amount |
| chainTypes.minDepositQuantity | STRING | 0.0002 | Minimum deposit quantity |
| chainTypes.allowDeposit | BOOLEAN | true | Whether to allow deposit |
| chainTypes.allowWithdraw | BOOLEAN | true | Whether to allow withdrawal |
| chainTypes.tokenName | STRING | BTC-BTC_BTC | |
| chainTypes.network | STRING | BTC | Network |
| chainTypes.depositFee | STRING | 0 | Deposit fee |
| chainTypes.refundFee | STRING | 0.0002 | Refund fee |
| chainTypes.minBlockConfirm | STRING | 70 | Credit to account block confirmation (Reference only) |
| chainTypes.canWithdrawConfirmCount | STRING | 70 | Withdrawal block confirmation (Reference only) |
| brokerFilters | Object Array | Not currently in use | |
| contracts | Object Array | Not currently in use | |
| options | Object Array | Not currently in use |